libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From quent...@apache.org
Subject [09/13] libcloud git commit: add OpenStack_2_NodeDriver to api docs
Date Fri, 02 Mar 2018 05:42:36 GMT
add OpenStack_2_NodeDriver to api docs

Signed-off-by: Quentin Pradet <quentinp@apache.org>


Project: http://git-wip-us.apache.org/repos/asf/libcloud/repo
Commit: http://git-wip-us.apache.org/repos/asf/libcloud/commit/b41da951
Tree: http://git-wip-us.apache.org/repos/asf/libcloud/tree/b41da951
Diff: http://git-wip-us.apache.org/repos/asf/libcloud/diff/b41da951

Branch: refs/heads/trunk
Commit: b41da95179fa477027b93ff3efa2787ad12a4a9c
Parents: 2321d34
Author: Rick van de Loo <rickvandeloo@gmail.com>
Authored: Sun Feb 11 09:06:27 2018 +0100
Committer: Quentin Pradet <quentinp@apache.org>
Committed: Fri Mar 2 09:34:26 2018 +0400

----------------------------------------------------------------------
 docs/compute/drivers/openstack.rst | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/libcloud/blob/b41da951/docs/compute/drivers/openstack.rst
----------------------------------------------------------------------
diff --git a/docs/compute/drivers/openstack.rst b/docs/compute/drivers/openstack.rst
index 17f9cc0..199fa38 100644
--- a/docs/compute/drivers/openstack.rst
+++ b/docs/compute/drivers/openstack.rst
@@ -247,16 +247,23 @@ are supported by two different subclasses of the OpenStackNodeDriver.
The
 default is the 1.1 API. The 1.0 API is supported to be able to connect to
 OpenStack instances which do not yet support the version 1.1 API.
 
-Compute 1.1 API version (current)
+Compute 2.0 API version (current)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
-.. autoclass:: libcloud.compute.drivers.openstack.OpenStack_1_1_NodeDriver
+.. autoclass:: libcloud.compute.drivers.openstack.OpenStack_2_NodeDriver
     :members:
     :inherited-members:
 
-Compute 1.0 API version (old installations)
+Compute 1.1 API version (old installations)
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 
+.. autoclass:: libcloud.compute.drivers.openstack.OpenStack_1_1_NodeDriver
+    :members:
+    :inherited-members:
+
+Compute 1.0 API version (older installations)
+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
 .. autoclass:: libcloud.compute.drivers.openstack.OpenStack_1_0_NodeDriver
     :members:
     :inherited-members:


Mime
View raw message